Page MenuHomePhabricator

AWB.js User script on en.wp skips every page very quickly
Closed, ResolvedPublic

Description

https://en.wikipedia.org/wiki/User:Joeytje50/AWB.js is skipping every page and doing so very quickly. This is with Regex Typo Fixing enabled, with skipping pages when no changes are made or non-existent.

Event Timeline

Idreamofhorses updated the task description. (Show Details)
Idreamofhorses raised the priority of this task from to Needs Triage.
Idreamofhorses added a subscriber: Idreamofhorses.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 28 2015, 12:38 AM
Krenair added a subscriber: Krenair.

'AWB script' = AutoWikiBrowser?

Yes, AWB is the acronym for AutoWikiBrowser.

No. The AWB script is a standalone script on enwp based on the original AWB-program. But can be fixed by AWB-devs, and could have been screwed up in a recent change (such as https or a typo rule changing)

Krenair closed this task as Invalid.Jun 28 2015, 1:34 AM
Krenair claimed this task.
Josve05a reopened this task as Open.Jun 28 2015, 1:36 AM

This is a AWB-bug. Not the AWB downloadable- program, but the AWB-script, and therefore still a valid task. Will be looking in to this bug within the coming day.

Josve05a moved this task from Backlog to Other stuff on the AutoWikiBrowser board.Jun 28 2015, 1:36 AM
Josve05a claimed this task.

I think the change needed is in the User:Joeytje50/AWB-settings.js page. [{"replaceText":"\\[http:// probably needs to be changed to [{"replaceText":"\\[https://

For what its worth the script is called AWB but its really a user script designed to mimic the appearance and many of the functions of AWB. It would have probably been better to call it something else to avoid confusion like Java AWB or Web-Awb.

Meh, why? It is just AWB, cross-platform with different dev(s).

You really shouldn't be tracking issues with on-wiki scripts in Phabricator

Josve05a added a comment.EditedJun 28 2015, 2:09 AM

When I see policies about it not being allowed, I'll mark it as invalid. In the meantime, refer to this pipermail:
http://www.gossamer-threads.com/lists/wiki/foundation/594885
which states Phabricator can even be used to track progress of on-wiki tasks.

Good link, I have had discussions about this in the past and personally do not agree that Phabricator shouldn't be for scripts. IMO if the developer wants to use Phabricator to track their script they should be able too. I do support creating some naming standards and guidelines so people know its a script and can ignore it if they don't want to see it. But its still should be allowed. In any case, it should be up to the developers (of both the application and the script) if they want to include the script here (that would be my preference) with a column for the script.
I think that would make things less confusing and less work for everyone.

I think the change needed is in the User:Joeytje50/AWB-settings.js page. [{"replaceText":"\\[http:// probably needs to be changed to [{"replaceText":"\\[https://

Edit performed by Kelapstick.

Josve05a set Security to None.
Josve05a changed the task status from Open to Stalled.

That did not fix it :/

I tried to do a "replace all instances of 'a' with 'b'" and that worked, so the only problem is that it is not fixing typos, perhaps because some badly formated typo rule (Ping @GoingBatty @Magioladitis) or there is still an http somewhere in the code for getting the typos list or something...

I will look at it again tomorrow if I have time but you might want to ask someone like Azatoth or Anomie. They are both really good with Java and might be willing to take a look. Like I said before I can't edit there so its hard to test it.

Aklapper renamed this task from AWB script to AWB script is skipping every page and doing so very quickly.Jun 29 2015, 9:41 AM

Thanks for the Ping. I am still at work but I'll try and take a look at it later tonight. It'll probably be about 830 or 9 US EST. With any luck one of the AWB devs, anomie or someone will have figured out the problem by then and fixed it.

@Josve05a Given that the typo rules work in both AWB and WPCleaner, I don't think the issue is a badly formatted typo rule.

Also, if the script uses different logic than the AWB application and has different developers, then I suggest renaming the script to avoid confusion.

Josve05a reassigned this task from Josve05a to Reguyla.Jun 30 2015, 6:29 AM

I appreciate being assigned this task and I will continue to see if I can figure out the problem but I want to confess before all that the person who created this script has skills far above mine in programming Java. There is some really cool code that I have never seen before doing things that I can only assume the purpose of at this point. Adding to that the fact I have no way of actively testing it on wiki, I am basically shooting at a moving target in the dark so its likely going to take a while. I have attempted to port over the scripts to commons where I have greater ability but I have yet to make them work there in an effort to recreate, study and find a solution to this problem. It is entirely possible however, given my limited skills with Java and limited time this week due to the upcoming 4th of July and festivities this weekend with wine, women, song, food and pretty, pretty fireworks, that I am not going to be successful. I still encourage someone to ask on the Village pump for help.

@Reguyla If it would help, I would be happy to take the wine, women, and song off your hands. :-)

@GoingBatty I bet. But I respectfully decline the offer. :-)

Reedy added a subscriber: Reedy.Jul 1 2015, 4:07 AM

Also, if the script uses different logic than the AWB application and has different developers, then I suggest renaming the script to avoid confusion.

This.

It's one thing reusing shared resources, but there's no other actual commonality, so it's just confusing.

@Reedy, I totally agree. Any suggestions for a new name? Maybe one of these, Lol!
*Brainstorm
*Livelist
*Wikita
*WikiPhish

This is not our script. The creator of the script has to decide.

I know Magioladitis, I was semi teasing. I dropped a note on his Wikia page where they seem a lot more active than here. They stated there they aren't editing much any more so its very possible this Developer took a long walk. We may be on our own to fix this one. If that is the case, I suppose if we want to keep this someone will need to support the application if its going to be kept. Not saying you all, but someone.

If you guys know what the problem might be or know how to fix it I am sure everyone would appreciate it even if its made clear you aren't supporting it permanently (if you don't want too, which seems to be the case and is totally ok). As I look more at the code of this app, I would really like to help, but its quite a bit outside my ability and I would need help from someone with more better Java Skillz than I got and Its really not possible for me to fix this with most of my resources cut off. So frankly I probably am not going to be able to do this. Its probably better to reassign this to someone else with more time, access and with the right skills to do it.

Reguyla removed Reguyla as the assignee of this task.Jul 4 2015, 6:34 PM

I am going to remove my self from being assigned this task. I will continue to look at fixing it but since I cannot test it or interact with it in any way on the Wiki in question I think its better off not being associated with it.

Aklapper removed a project: Need-volunteer.

@Aklapper Accidentally removed?

Most likely broken due to the #https-change, which has yet to be fixed. patch-welcome.

Josve05a renamed this task from AWB script is skipping every page and doing so very quickly to AWB (user) script is skipping every page and doing so very quickly.Sep 10 2015, 11:55 AM
Magioladitis added a subscriber: Magioladitis.

AWB devs can't help with this one. This is a third-party tool. Please do not re-add us here.

When I see policies about it not being allowed, I'll mark it as invalid

See T85433 for the generic discussion of handling gadgets / custom user scripts.

Aklapper renamed this task from AWB (user) script is skipping every page and doing so very quickly to AWB.js User script on en.wp skips every page very quickly.Sep 11 2015, 12:26 PM
Aklapper updated the task description. (Show Details)
Aklapper removed projects: patch-welcome, HTTPS.

Well, I've listed the task with Community-Tech since the dev. of it is inactive and needs help, which is the purpose of that project, as far I know.

Removed projects Need-volunteer and HTTPS from this task - they do not apply here, see their project descriptions.

Josve05a added a comment.EditedSep 11 2015, 12:28 PM

Let's keep hoping (waiting) for personal boards :)

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 11 2015, 7:09 PM

I might have some time to have a look at this in the near future. The regex typo fix is one of the newest features, so I think I might not have tested it thoroughly enough.

I think I've fixed the problems with the RETF. What the script previously did was read all of the parsed <pre> tags and from there read all of the XML-<Typo> tags, but I suspect that Wikimedia once decided to change from client-side <source> syntax highlighting to server-side syntax highlighting, which would have broken my script.

I've now made the RETF script read from the page source itself, which should fix everything. I've tested it on the sentence "exmaple peice of mispelled text", which was indeed correctly fixed to "example piece of misspelled text".

I hope this fixes all of the problems everyone was having with my script, and I apologise for the slow fix (I've been very busy with stuff, and I half-forgot about it too).

DannyH moved this task from Product backlog to Archive on the Community-Tech board.Dec 7 2016, 7:15 PM